#
#   Copyright © 2021,2022 IsardVDI S.L.
#
#   This file is part of DD
#
#   DD is free software: you can redistribute it and/or modify
#   it under the terms of the GNU Affero General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or (at your
#   option) any later version.
#
#   DD is distributed in the hope that it will be useful, but WITHOUT ANY
#   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
#   FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
#   details.
#
#   You should have received a copy of the GNU Affero General Public License
#   along with DD. If not, see <https://www.gnu.org/licenses/>.
#
# SPDX-License-Identifier: AGPL-3.0-or-later
version: '3.7'
services:
  dd-sso-haproxy:
    image: registry.dd-work.space/dd/haproxy:${DD_BUILD:-latest}
    build:
      args:
        HAPROXY_IMG: ${HAPROXY_IMG-haproxy:2.4.12-alpine3.15}
      context: ${BUILD_SSO_ROOT_PATH}/docker/haproxy
      dockerfile: Dockerfile
      target: production
    container_name: dd-sso-haproxy
    environment:
      DOMAIN: ${DOMAIN}
      HAPROXY_CFG: ${HAPROXY_CFG:-haproxy.no-waf.no-haproxy.cfg}
      LETSENCRYPT_DOMAIN: ${LETSENCRYPT_DOMAIN}
      LETSENCRYPT_DOMAIN_ROOT: ${LETSENCRYPT_DOMAIN_ROOT}
      LETSENCRYPT_EMAIL: ${LETSENCRYPT_EMAIL}
    restart: unless-stopped
    volumes:
      - /etc/localtime:/etc/localtime:ro
      - ${SRC_FOLDER}/haproxy/letsencrypt:/etc/letsencrypt:rw
      - ${SRC_FOLDER}/haproxy/certs:/certs:rw
    networks:
      - dd_net
    logging:
      driver: "json-file"
      options:
        max-size: "5m"
        max-file: "10"
